> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Persona Sms List



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /personas/{persona_id}/sms
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /personas/{persona_id}/sms:
    get:
      tags:
        - personas
      summary: Persona Sms List
      operationId: persona_sms_list
      parameters:
        - name: persona_id
          in: path
          required: true
          schema:
            type: string
            title: Persona Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum number of emails
            default: 10
            title: Limit
          description: Maximum number of emails
        - name: timedelta
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: duration
              - type: 'null'
            description: Maximum time since email reception
            title: Timedelta
          description: Maximum time since email reception
        - name: only_unread
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to only return unread messages
            default: false
            title: Only Unread
          description: Whether to only return unread messages
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SMSResponse'
                title: Response Persona Sms List Personas  Persona Id  Sms Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: >-
            import datetime as dt


            from notte_sdk.client import NotteClient


            notte = NotteClient()

            # retrieve an existing persona or use console.notte.cc/personas to
            create a new one

            persona = notte.Persona("<my-persona-id>")

            # read recent sms (received in the past 5 minutes)

            recent_sms = persona.sms(
                only_unread=True,
                limit=10,
                timedelta=dt.timedelta(minutes=5),
            )

            print(f"Recent sms: {recent_sms}")
          label: python
        - lang: JavaScript
          source: >-
            import { NotteClient } from "notte-sdk";


            const notte = new NotteClient();

            // retrieve an existing persona or use console.notte.cc/personas to
            create a new one

            const persona = notte.Persona({ persona_id: "<my-persona-id>" });

            // read recent sms (received in the past 5 minutes)

            const recentSms = await persona.sms({
              only_unread: true,
              limit: 10,
              timedelta: "5m",
            });

            console.log("Recent sms:", recentSms);
          label: node
        - lang: Curl
          source: >-
            curl -X GET
            "https://api.notte.cc/personas/$persona_id/sms?limit=10&only_unread=true"
            \

            -H "Authorization: Bearer $NOTTE_API_KEY" \

            -H "Content-Type: application/json"
          label: curl
components:
  schemas:
    SMSResponse:
      properties:
        body:
          type: string
          title: Body
          description: SMS message body
        sms_id:
          type: string
          title: Sms Id
          description: SMS UUID
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation date
        sender:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender
          description: SMS sender phone number
      type: object
      required:
        - body
        - sms_id
        - created_at
        - sender
      title: SMSResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````